#!/usr/bin/bash
rm -r $1
cd example
cp *.ly ../
cd ../major 
cp *.ly ../
cd ../clef
cp *.ly ../
cd ../
mkdir $1
lilypond -E h-example-1.ly
lilypond --svg h-example-1.ly
## ------------------------------------
lilypond -E h-example-2.ly
lilypond --svg h-example-2.ly
## ------------------------------------
lilypond -E add-example-2.ly
lilypond --svg add-example-2.ly 
## ------------------------------------
lilypond -E example-3.ly
lilypond --svg example-3.ly
## ------------------------------------
lilypond -E pompei4.ly
lilypond --svg pompei4.ly
## ------------------------------------
lilypond -E example-4.ly
lilypond --svg example-4.ly
## ------------------------------------
lilypond -E example-5.ly
lilypond --svg example-5.ly
## ------------------------------------
lilypond -E example-6.ly
lilypond --svg example-6.ly
## ------------------------------------
lilypond -E example-6b.ly
lilypond --svg example-6b.ly
## ------------------------------------
lilypond -E example-7.ly
lilypond --svg example-7.ly
## ------------------------------------
## ------------------------------------
lilypond -E c-major.ly
lilypond --svg c-major.ly
## ------------------------------------
lilypond -E c-major2.ly
lilypond --svg c-major2.ly
## ------------------------------------
lilypond -E pg-major.ly
lilypond --svg g-major.ly
## ------------------------------------
lilypond -E pd-major.ly
lilypond --svg d-major.ly
## ------------------------------------
lilypond -E pa-major.ly
lilypond --svg a-major.ly
## ------------------------------------
lilypond -E pe-major.ly
lilypond --svg e-major.ly
## ------------------------------------
lilypond -E pb-major.ly
lilypond --svg b-major.ly
## ------------------------------------
lilypond -E pfis-major.ly
lilypond --svg fis-major.ly
## ------------------------------------
lilypond -E pcis-major.ly
lilypond --svg cis-major.ly
## ------------------------------------
lilypond -E pf-major.ly
lilypond --svg f-major.ly
## ------------------------------------
lilypond -E pbes-major.ly
lilypond --svg bes-major.ly
## ------------------------------------
lilypond -E pees-major.ly
lilypond --svg ees-major.ly
## ------------------------------------
lilypond -E paes-major.ly
lilypond --svg aes-major.ly
## ------------------------------------
lilypond -E pdes-major.ly
lilypond --svg des-major.ly
## ------------------------------------
lilypond -E pges-major.ly
lilypond --svg ges-major.ly
## ------------------------------------
lilypond -E pces-major.ly
lilypond --svg ces-major.ly
## ------------------------------------
## ------------------------------------
lilypond --svg clef-ces.ly
## ------------------------------------
## ------------------------------------
lilypond --svg clef-g.ly
## ------------------------------------
lilypond --svg clef-d.ly
## ------------------------------------
lilypond --svg clef-a.ly
## ------------------------------------
lilypond --svg clef-e.ly
## ------------------------------------
lilypond --svg clef-b.ly
## ------------------------------------
lilypond --svg clef-fis.ly
## ------------------------------------
lilypond --svg clef-cis.ly
## ------------------------------------
lilypond --svg clef-f.ly
## ------------------------------------
lilypond --svg clef-bes.ly
## ------------------------------------
lilypond --svg clef-ees.ly
## ------------------------------------
lilypond --svg clef-aes.ly
## ------------------------------------
lilypond --svg clef-des.ly
## ------------------------------------
lilypond --svg clef-ges.ly
## ------------------------------------
lilypond --svg clef-ces.ly
## ------------------------------------
lilypond --svg symbol.ly
## ------------------------------------
lilypond --svg soprano.ly
## ------------------------------------
tex $1.texi
dvips -P pdf $1.dvi
ps2pdf $1.ps
mv $1.pdf $1/
rm example-6-2.svg example-6-3.svg
rm example-6b-2.svg example-6b-3.svg
rm example-8-page-2.png
mv *.svg $1/
mv *.midi $1/
mv *.png $1/
makeinfo --no-split --force --html $1.texi
mv $1.html $1/
cd $1
explorer.exe $1.html | xdg-open $1.pdf
cd ../
rm *.dvi *.ps *.eps *.pdf *.mid *.log *.ly
ls -lX
